#!/bin/sh
#Convert L1C Products to L2A using L2A_Process
INPUTDIR=$1	#Top directory with a L1C Subirectory
OUTPUTDIR=$2
JOBS=${3:-1}
if [ "$#" -le 2 ]; then
	echo "Usage " $0 " <L1C Directory> <L2A Directory> [jobs]" 
	exit
fi

#cd $INPUTDIR

if [ ! -d $OUTPUTDIR ]; then
	mkdir $OUTPUTDIR
fi

cd $OUTPUTDIR
ls $INPUTDIR*.zip  | parallel --jobs $JOBS L1CToL2A.sh 



